//
// media
// ce_text (useMediaObject)
//

// variables
$media-object-image-top-padding: $base-spacing-unit-sm;

// style
.media-object-container {
  display: flex;
  align-items: flex-start;
}

.media-object-image {
  padding-top: $media-object-image-top-padding;

  figure {
    display: inline-block;

    .media-object &.float_below {
      margin-top: 0;
    }

    .media-object &.float_above {
      margin-bottom: 0;
    }
  }
}

.media-object-body {
  padding-left: 1.5rem;

  > *:first-child {
    margin-top: 0 !important;
  }
}

// mediaObjectRatio
$mediaObjectRatios: (
  (1,1),
  (1,2),
  (2,1),
  (1,3),
  (3,1)
);

@each $imageRatio, $bodyRatio in $mediaObjectRatios {
  .media-object-ratio-#{$imageRatio}-#{$bodyRatio} {
    .media-object-image {
      flex: $imageRatio;
    }

    .media-object-body {
      flex: $bodyRatio;
    }
  }
}
